List operating systems for a server model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/operating_systems

You can obtain a list of operating systems for the server model specified in the path parameter. To do that, execute a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/operating_systems.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section.

Query Parameters

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by name, version, and arch.

Default"id"

Value in

  • "id"
  • "name"
  • "version"
  • "arch"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1578/order_options/server_models/2661/operating_systems"
[  {    "id": 242,    "full_name": "Ubuntu 18.04-server x86_64",    "name": "Ubuntu",    "version": "18.04-server",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  },  {    "id": 243,    "full_name": "Debian 7 x86_64",    "name": "Debian",    "version": "7",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  },  {    "id": 244,    "full_name": "Windows Server 2012 R2 Standard Edition x86_64",    "name": "Windows",    "version": "Server 2012 R2 Standard Edition",    "arch": "x86_64",    "filesystems": [      "ntfs"    ]  },  {    "id": 245,    "full_name": "Debian 7 x86_64",    "name": "Debian",    "version": "7",    "arch": "x86_64",    "filesystems": [      "ext2",      "ext4",      "swap",      "xfs",      "reiser"    ]  }]
{  "message": "Not found",  "code": "NOT_FOUND"}